# -*- rpm-spec -*-
# $Id: tcl-ldap,v 1.11 2002/09/24 15:41:26 lioka Exp $

%define force_ac_213 1
%define srcname ldap
%define srcver 30

Name: tcl-%srcname
Version: 3.0
Release: alt4

Summary: LDAP extension to TCL
License: BSD
Group: Development/Tcl
Url: http://www.sensus.org/tcl

Source: %url/%srcname%srcver.tar.bz2
Patch0: %name-e2s.patch
Patch1: %name-libpath.patch
Patch2: %name-pkgndx.patch

BuildRequires: libldap-devel rpm-build >= 4.0.4-alt0.7 tcl-devel >= 8.4.0-alt1
%if %force_ac_213
BuildRequires: autoconf_2.13
%endif

%description
This extension provides a generic binding to LDAP, adding a single
command to the Tcl interpreter that dynamically creates session
command objects each time it is called. The resultant command can be
used to exercise the full range of the LDAP protocol, with the notable
exception of extended operations (a LDAP v3 feature).

%prep
%setup -q -n %srcname%srcver
%patch0 -p0
%patch1 -p1
%patch2 -p0

%build
cd unix
%__aclocal
%__autoconf
%configure
%make_build

%install
%make_install install INSTALL_ROOT=%buildroot -C unix
%__subst 's|\(\$dir \)|\1\.\. \.\. \.\. lib |' unix/pkgIndex.tcl
%__install -m0644 -D unix/pkgIndex.tcl %buildroot%_tcldatadir/%srcname%version/pkgIndex.tcl

%files
%_libdir/lib%srcname%version.so
%_tcldatadir/%srcname%version/pkgIndex.tcl
%doc license.terms ldap.htm

%changelog
* Tue Sep 24 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 3.0-alt4
- rebuilt in new env

* Wed Jul 17 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 3.0-alt3
- rebuilt with new tcl layout

* Thu Sep 27 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.0-alt2
- Built with RPM_OPT_FLAGS.

* Mon Sep 24 2001 Sergey Bolshakov <s.bolshakov@belcaf.com> 3.0-alt1
- Initial build for ALT Linux distribution.
